package org.project.abilities;

import org.project.entity.Entity;

public class GuardianOath extends SpecialAbility{

    /*

        Knight use this special ability
        The first damage and the knight is completely restrained
        its gains some health

     */

    public GuardianOath() {
        super("GuardianOath",15, 1, AbilityTarget.SELF);
    }


    @Override
    public void onApply(Entity target) {
        super.onApply(target);
    }

    @Override
    public void onTick(Entity self) {

        self.heal(5);
        self.defend();
        System.out.println("Guardian Oath empowers Sir Duncan: +5 HP and 50% Decreased damage.\n ");
        reduceDuration();
    }

    @Override
    public void onExpire(Entity self) {
        System.out.println(self.getName() + "'s special ability onExpired");
    }
}
